com.sun.jna.platform.mac

## Class CoreFoundation.CFBooleanRef

- java.lang.Object
- - com.sun.jna.PointerType
  - - com.sun.jna.platform.mac.CoreFoundation.CFTypeRef
    - - com.sun.jna.platform.mac.CoreFoundation.CFBooleanRef

- All Implemented Interfaces:
    NativeMapped
  Enclosing interface:
    CoreFoundation

      public static class CoreFoundation.CFBooleanRef
      extends CoreFoundation.CFTypeRef

  A reference to a `CFBoolean` object.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CFBooleanRef()`
    `CFBooleanRef(Pointer p)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `booleanValue()` Convert a reference to a Core Foundations Boolean into its `boolean`

    - ### Methods inherited from class com.sun.jna.platform.mac.CoreFoundation.CFTypeRef

      `getTypeID, isTypeID, release, retain`

    - ### Methods inherited from class com.sun.jna.PointerType

      `equals, fromNative, getPointer, hashCode, nativeType, setPointer, toNative, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### CFBooleanRef

          public CFBooleanRef()

    - #### CFBooleanRef

          public CFBooleanRef(Pointer p)

  - ### Method Detail

    - #### booleanValue

          public boolean booleanValue()

      Convert a reference to a Core Foundations Boolean into its `boolean`
      Returns:
        The corresponding `boolean`

Copyright © 2007-2018 Timothy Wall. All Rights Reserved.